local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  disablePause()
  doFadeWipe(true)
  setPlayerState(20, true)
  player.ForceCameraUpdate = true
  waitUntilOnGround()

  setPlayerState(0, false)
  wait(1.05)
  enablePause()

end